%define upstream_name    Autodia
%define upstream_version 2.14

Name:       autodia
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    AutoDia handler for DBI connections
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Template)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

Obsoletes: perl-Autodia <= 2.140.0
Provides:  perl-Autodia

%description
AutoDia takes source files as input and using a handler parses them to
create documentation through templates. The handlers allow AutoDia to parse
any language by providing a handler and registering in in autodia.pm. The
templates allow the output to be heavily customised from Dia XML to simple
HTML and separates the logic of the application from the presentation of
the results.

AutoDia is written in perl and defaults to the perl handler and file
extension matching unless a language is specified using the -l switch.

AutoDia requires Template Toolkit and Perl 5. Some handlers and templates
may require additional software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README TODO COPYING CREDITS INSTALL META.yml CHANGES FAQ DEVELOP
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.140.0-16.mga10
+ Revision: 2196829
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 2.140.0-15.mga9
+ Revision: 1800842
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.140.0-14.mga8
+ Revision: 1489554
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Sep 18 2018 umeabot <umeabot> 2.140.0-13.mga7
+ Revision: 1260776
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.140.0-12.mga7
+ Revision: 1260189
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.140.0-11.mga7
+ Revision: 1259786
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.140.0-10.mga6
+ Revision: 1022098
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.140.0-9.mga6
+ Revision: 948575
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 2.140.0-8.mga5
+ Revision: 788101
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.140.0-7.mga5
+ Revision: 740697
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.140.0-6.mga5
+ Revision: 678056
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 jquelin <jquelin> 2.140.0-5.mga5
+ Revision: 635406
- better obsoletes

* Fri Oct 18 2013 umeabot <umeabot> 2.140.0-4.mga4
+ Revision: 502970
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.140.0-3.mga3
+ Revision: 346639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 2.140.0-2.mga2
+ Revision: 154588
- renaming package
- obsoleting perl-Autodia
- renaming app

* Mon Sep 26 2011 jquelin <jquelin> 2.140.0-1.mga2
+ Revision: 148245
- adding missing buidlrequires:
- imported package perl-Autodia

